<?php
//Activamos el almacenamiento en el buffer
ob_start();
if (strlen(session_id()) < 1) 
  session_start();

if (!isset($_SESSION["nombre"]))
{
  echo 'Debe ingresar al sistema correctamente para visualizar el reporte';
}
else
{
if ($_SESSION['ventas']==1)
{
//Incluímos el archivo Factura.php
require('Factura1.php');

//Establecemos los datos de la empresa

$logo = "logo.jpg";
$sello = "sello.png";
$ext_logo = "jpg";
$ext_sello = "png";
$empresa = "";
$documento = "Reunidos en las instalaciones de la empresa Consettur Machupicchu S.A.C., se procede a realizar la verificación de los bienes, en presencia del VERIFICADOR, \nel personal encargado de la custodia de los bienes  a quien se le denominará RESPONSABLE. Quienes se reunen con el motivo de verificar la existencia y el \nestado de los bienes mediante la toma de pre - inventario de bienes activos correspondiente al año 2025.";
$direccion = "José Gálvez 1368";
$telefono = "931742904";
$email = "DATOS DEL INVENTARIO";

//Obtenemos los datos de la cabecera de la venta actual
require_once "../modelos/Venta.php";
$venta= new Venta();
$rsptav = $venta->ventacabecera($_GET["id"]);
//Recorremos todos los valores obtenidos
$regv = $rsptav->fetch_object();

//Establecemos la configuración de la pagina
$pdf = new PDF_Invoice( 'L', 'mm', 'A4' );
$pdf->AddPage();

//Enviamos los datos de la empresa al método addSociete de la clase Inventario


$pdf->addSociete( utf8_decode($empresa),
utf8_decode ($documento)."\n",$logo,$ext_logo,$sello,$ext_sello);
                  //utf8_decode("Dirección: ").utf8_decode($direccion)."\n".
                  //utf8_decode("Teléfono: ").$telefono."\n" .
                  
$pdf->fact_dev("ACTA ","# $regv->idventa DEL PRE - INVENTARIO 2025");

$pdf->temporaire( "" );
$pdf->addDate( $regv->fecha);

//Enviamos los datos del cliente al método addClientAdresse de la clase Inventario
$pdf->addClientAdresse(utf8_decode($regv->cliente),utf8_decode($regv->nombre_c),utf8_decode($regv->nombre_a),$regv->nom_sede,$regv->verificador,$regv->fecha);

//Establecemos las columnas que va a tener la sección donde mostramos los detalles de la venta
$cols=array( "#"=>7,
             "CODIGO"=>23,
             "ARTICULO"=>60,
             "MARCA"=>24,
             "MODELO"=>20,
             "SERIE"=>31,
             "COLOR"=>28,
             "CONDICION"=>20,
             "ESTADO"=>18,
            "OBSERVACIONES"=>59);
$pdf->addCols( $cols);
$cols=array( "#"=>"C",
             "CODIGO"=>"C",
             "DESCRIPCION"=>"L",
             "MARCA"=>"C",
             "MODELO"=>"C",
             "SERIE" =>"C",
             "COLOR"=>"C",
             "CONDICION"=>"C",
             "ESTADO"=>"C",
            "OBSERVACIONES"=>"L");
$pdf->addLineFormat( $cols);
$pdf->addLineFormat($cols);
//Actualizamos el valor de la coordenada "y", que será la ubicación desde donde empezaremos a mostrar los datos
$y= 54;

//Obtenemos todos los detalles de la venta actual
$rsptad = $venta->ventadetalle($_GET["id"]);

while ($regd = $rsptad->fetch_object()) {
  $line = array("#"=> "$regd->lineas", 
                "CODIGO"=> "$regd->cod_patri",
                "ARTICULO"=> utf8_decode("$regd->articulo"),
                "MARCA"=> "$regd->marca",
                "MODELO"=> "$regd->modelo",
                "SERIE" => "$regd->serie",
                "COLOR"=> "$regd->color",
                "CONDICION"=> "$regd->condicion",
                "ESTADO"=> "$regd->estado",
                "OBSERVACIONES"=> "$regd->observacion");
            $size = $pdf->addLine( $y, $line );
            $y   += $size + 2;
}

//Convertimos el total en letras
require_once "Letras.php";
$V=new EnLetras(); 
$con_letra=strtoupper($V->ValorEnLetras($regv->total_venta,"NUEVOS SOLES"));
$pdf->addCadreTVAs("-----------------------------------------");

//Mostramos el impuesto
$pdf->addTVAs( $regv->impuesto, $regv->total_venta,"S/ ");
$pdf->addCadreEurosFrancs("IGV"." $regv->impuesto %");
$pdf->Output('Reporte de Venta','I');


}
else
{
  echo 'No tiene permiso para visualizar el reporte';
}

}
ob_end_flush();
?>